import * as server from "@minecraft/server"


const world = server.world
const system = server.system

world.beforeEvents.explosion.subscribe(explode =>  {
        if (explode.source.typeId != "br:wind_bullet")
        return;
        explode.cancel=true
        const impactedblocks = explode.getImpactedBlocks()
        impactedblocks.forEach((element) => {
            let state = element.permutation.getState("open_bit")
            if (state == true || state == false) {
                if (state == true) {
                    system.run(() => {
                        element.setPermutation(element.permutation.withState("open_bit", false))
                    })

                };
                if (state == false) {
                    system.run(() => {
                        element.setPermutation(element.permutation.withState("open_bit", true))
                    })
                }
            };

            if (element.typeId == "minecraft:redstone_lamp") {
                system.run(() => {
                    element.setType("minecraft:lit_redstone_lamp")
                })
            }
        
        })
    }
)
world.afterEvents.projectileHitEntity.subscribe(hit => {
    const entityhurt = hit.getEntityHit()
    entityhurt.entity.applyKnockback(0, 0, 0.4, 0.7)
})
    
    


